require 'test/unit'
require 'rupat'
require 'fileutils'

class RupatBinTest < Test::Unit::TestCase


    # Test patch generation.
    def test_patch

        test_dir = 'test/input'
        diff1 = "#{test_dir}/diff_test1.txt"
        diff2 = "#{test_dir}/diff_test2.txt"
        patcher = 'test/patcher.rb'
        patched_diff = "#{test_dir}/patched.txt"

        system( "bin/rupat -p #{diff1} #{diff2} -o #{patcher}" )
        system( "#{patcher} > #{patched_diff}" )

        assert_equal( system( "diff #{patched_diff} #{diff2} " ), true )

        FileUtils.rm_f( patcher )
        FileUtils.rm_f( patched_diff )

    end

end
